<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for src/components/View/Login/Login.vue</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../../../prettify.css" />
    <link rel="stylesheet" href="../../../../base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../../../sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="../../../../index.html">all files</a> / <a href="index.html">src/components/View/Login/</a> Login.vue
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>0/10</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/2</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>0/7</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>0/8</span>
      </div>
    </div>
  </div>
  <div class='status-line low'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154</td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">&lt;template&gt;
  &lt;div class="login-page"&gt;
    &lt;form v-on:submit.prevent="doLogin"&gt;
      &lt;div class="container"&gt;
        &lt;div class="margin-top-50"&gt;&lt;/div&gt;
        &lt;div class="content-block"&gt;
          &lt;div class="white-block"&gt;
            &lt;div class="padding"&gt;
              &lt;h3&gt;Авторизация&lt;/h3&gt;
            &lt;/div&gt;
            &lt;hr/&gt;
            &lt;div class="padding"&gt;
              &lt;div class="warning-block"&gt;
                Для оформления займа необходимо авторизоваться в личном кабинете.
              &lt;/div&gt;
              &lt;div class="error-block" v-if="hasError"&gt;Похоже не удалось войти, проверьте правильность введенных данных&lt;/div&gt;
              &lt;div class="row"&gt;
                &lt;div class="columns six"&gt;
                  &lt;label for="login"&gt;Мобильный телефон, логин или почта&lt;/label&gt;
                  &lt;input
                    v-model="user.login"
                    type="text"
                    name="login"
                    id="login"
                    v-validate="'required'"
                    :class="getValidateClass('login')"
                  /&gt;
                  &lt;validate-message
                    v-show="vErrors.has('login')"
                  &gt;{{ vErrors.first('login') }}&lt;/validate-message&gt;
                &lt;/div&gt;
                &lt;div class="columns six"&gt;
                  &lt;label for="password"&gt;Пароль&lt;/label&gt;
                  &lt;input
                    v-model="user.password"
                    type="password"
                    name="password"
                    id="password"
                  /&gt;
                &lt;/div&gt;
              &lt;/div&gt;
              &lt;div class="row"&gt;
                &lt;div class="columns six forgot-password"&gt;
                  &lt;span&gt;Забыли логин или пароль? &lt;a href="#"
                                                    @click="$modal.show('restore-password')"&gt;Восстановить&lt;/a&gt;&lt;/span&gt;
                &lt;/div&gt;
                &lt;div class="columns six checkbox"&gt;
                  &lt;input v-model="clearSession" type="checkbox" name="not-home-pc" id="not-home-pc"/&gt;
                  &lt;label for="not-home-pc"&gt;&lt;span&gt;&lt;/span&gt;Чужой компьютер&lt;/label&gt;
                &lt;/div&gt;
              &lt;/div&gt;
              &lt;error-block :errors="errors"&gt;&lt;/error-block&gt;
            &lt;/div&gt;
          &lt;/div&gt;
          &lt;div class="center"&gt;
            &lt;button
              :disabled="user.login === '' || user.password === ''"
            &gt;Войти
            &lt;/button&gt;
            &lt;button class="white"&gt;Впервые на Webbankir? &lt;span&gt;Получить деньги&lt;/span&gt;&lt;/button&gt;
          &lt;/div&gt;
        &lt;/div&gt;
&nbsp;
      &lt;/div&gt;
    &lt;/form&gt;
&nbsp;
&nbsp;
    &lt;restore-password&gt;&lt;/restore-password&gt;
&nbsp;
  &lt;/div&gt;
&lt;/template&gt;
&nbsp;
&lt;script&gt;
  import ErrorHandleMixin from '@/components/View/Base/Mixins/ErrorHandleMixin'
  import ErrorBlock from '@/components/View/Base/Errors/ErrorBlock'
  import RestorePassword from './RestorePassword'
  import ValidateMessage from '@/components/View/Base/Errors/ValidateMessage'
  import GetValidateClass from '@/components/View/Base/Mixins/Validation/GetValidateClassMixin'
&nbsp;
  export default {
    mixins: [
      ErrorHandleMixin,
      GetValidateClass
    ],
    components: {
      RestorePassword,
      ErrorBlock,
      ValidateMessage
    },
    data () {
<span class="cstat-no" title="statement not covered" >      return {</span>
        user: {
          login: '',
          password: ''
        },
        errorText: {
          authError: ''
        },
        clearSession: false
      }
    },
    methods: {
      // СТАРЫЙ DOLOGIN
      // doLogin: function () {
      //   this.$store.commit(UNSET_ERRORS)
      //   this.$http.post(Links.authLinks.AUTH_URL, this.user)
      //     .then(response =&gt; {
      //       console.log('response ' + response)
      //     })
      //     .catch(
      //       (error) =&gt; {
      //         // TODO не забыть убрать ебалу
      //         console.log("error", error)
      //         this.$store.commit(SET_ERRORS, [{name: 'authError', message: 'something'}])
      //       }
      //     )
      // },
      doLogin: function (<span class="fstat-no" title="function not covered" >) {</span>
        // auth.login(Links.authLinks.AUTH_URL, this, this.user, 'profile')
<span class="cstat-no" title="statement not covered" >        this.$store.dispatch('AUTH_REQUEST', this.user).then(res =<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >&gt; console.log(res</span></span>)).catch(res =<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >&gt; console.log(res</span></span>))</span>
          .then((response) =<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >&gt; this.$router.push('profile'</span></span>))
      },
      show: function (<span class="fstat-no" title="function not covered" >) {</span>
<span class="cstat-no" title="statement not covered" >        this.$modal.show('restore-password'</span>)
      },
      hide: function (<span class="fstat-no" title="function not covered" >) {</span>
<span class="cstat-no" title="statement not covered" >        this.$modal.hide('restore-password'</span>)
      }
    },
    watch: {
      clearSession: function (<span class="fstat-no" title="function not covered" >) {</span>
<span class="cstat-no" title="statement not covered" >        if (this.clearSession) {</span>
<span class="cstat-no" title="statement not covered" >          this.$store.dispatch('unsetClearSession'</span>)
        } else {
<span class="cstat-no" title="statement not covered" >          this.$store.dispatch('setClearSession'</span>)
        }
      }
    }
  }
&lt;/script&gt;
&nbsp;
&lt;style scoped lang="sass"&gt;
  h1
    text-align: center
&nbsp;
    .wrapper-20
      background-color: #f7f6f6
      height: 20px
&nbsp;
    .center
      text-align: center
&nbsp;
&lt;/style&gt;
&nbsp;</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="http://istanbul-js.org/" target="_blank">istanbul</a> at Fri Mar 23 2018 11:20:25 GMT+0300 (MSK)
</div>
</div>
<script src="../../../../prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="../../../../sorter.js"></script>
</body>
</html>
